Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.vss
Class MSVSS.CurrentModUpdated

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.optional.vss.MSVSS.CurrentModUpdated

Enclosing class:
  MSVSS

public static class MSVSS.CurrentModUpdated
extends EnumeratedAttribute

Extention of EnumeratedAttribute to hold the values for file time stamp.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`MSVSS.CurrentModUpdated()`

Method Summary
`java.lang.String[]` | `getValues()` Gets the list of allowable values.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MSVSS.CurrentModUpdated

    public MSVSS.CurrentModUpdated()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Gets the list of allowable values.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    The values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.